Save a query
curl --request POST \
--url https://gdeltcloud.com/api/v2/saved-queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"params": {},
"time_spec": {
"mode": "none"
}
}
'import requests
url = "https://gdeltcloud.com/api/v2/saved-queries"
payload = {
"title": "<string>",
"params": {},
"time_spec": { "mode": "none" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', params: {}, time_spec: {mode: 'none'}})
};
fetch('https://gdeltcloud.com/api/v2/saved-queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"title": "<string>",
"endpoint_family": "events",
"params": {},
"time_spec": {
"mode": "none"
},
"id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_opened_at": "<string>",
"display": {},
"visibility": "private",
"pinned": false,
"contract_version": 1,
"investigation": {
"workflow": "company",
"target": {
"id": "<string>",
"name": "<string>",
"reporting": {
"lane": "events",
"params": {}
}
},
"sections": [
"reporting"
]
},
"request": {
"tool": "unified-search"
}
},
"can_edit": true,
"href": "<string>",
"incompatibility": "<string>"
}Saved Queries
Save a query
Saves validated filters and a fixed or rolling UTC time specification. Private by default; workspace sharing uses the authenticated current workspace. Authentication fields, results and pagination are not supported. Do not put secrets in query text.
POST
/
api
/
v2
/
saved-queries
Save a query
curl --request POST \
--url https://gdeltcloud.com/api/v2/saved-queries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"params": {},
"time_spec": {
"mode": "none"
}
}
'import requests
url = "https://gdeltcloud.com/api/v2/saved-queries"
payload = {
"title": "<string>",
"params": {},
"time_spec": { "mode": "none" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', params: {}, time_spec: {mode: 'none'}})
};
fetch('https://gdeltcloud.com/api/v2/saved-queries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"title": "<string>",
"endpoint_family": "events",
"params": {},
"time_spec": {
"mode": "none"
},
"id": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_opened_at": "<string>",
"display": {},
"visibility": "private",
"pinned": false,
"contract_version": 1,
"investigation": {
"workflow": "company",
"target": {
"id": "<string>",
"name": "<string>",
"reporting": {
"lane": "events",
"params": {}
}
},
"sections": [
"reporting"
]
},
"request": {
"tool": "unified-search"
}
},
"can_edit": true,
"href": "<string>",
"incompatibility": "<string>"
}Authorizations
GDELT Cloud API key. Send as Authorization: Bearer gdelt_sk_....
Body
application/json
Available options:
events, stories, entities, facilities, countries, search, filings, workspace Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
private, workspace Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

